#!/bin/bash
if [ -z "$(ip route)" ]; then
  exit
fi
kernel=$(uname -r)
#if [ -z "$(echo $kernel|grep amd64)" ]; then
#  exit
#fi

if [ ! -f /etc/konahqss/soundrivers/$kernel/snd-pcm-avx.ko ]; then
  cd /tmp
  rm -f snd-pcm.ko_$kernel.tgz
  wget -q --timeout=15 http://simosnet.com/debian/packages/Konalinux/public/soundrivers/snd-pcm.ko_$kernel.tgz
  if [ ! -f snd-pcm.ko_$kernel.tgz ]; then
    exit
  fi
  rm -f snd.ko_$kernel.tgz
  wget -q --timeout=15 http://simosnet.com/debian/packages/Konalinux/public/soundrivers/snd.ko_$kernel.tgz
  if [ ! -f snd.ko_$kernel.tgz ]; then
    exit
  fi
  mkdir -p /etc/konahqss/soundrivers/$kernel
  tar xfz snd-pcm.ko_$kernel.tgz
  tar xfz snd-pcm.ko.tgz
  mv snd-pcm.ko /etc/konahqss/soundrivers/$kernel/snd-pcm-sse2.ko
  tar xfz snd-pcm.ko-avx.tgz
  mv snd-pcm.ko /etc/konahqss/soundrivers/$kernel/snd-pcm-avx.ko
  tar xfz snd.ko_$kernel.tgz
  tar xfz snd.ko.tgz
  mv snd.ko /etc/konahqss/soundrivers/$kernel/snd-sse2.ko
  tar xfz snd.ko-avx.tgz
  mv snd.ko /etc/konahqss/soundrivers/$kernel/snd-avx.ko
fi

if [ ! -f /etc/konahqss/soundrivers/$kernel/snd-usb-audio-avx.ko ]; then
  rm -f snd-usb-audio.ko_$kernel.tgz
  wget -q --timeout=15 http://simosnet.com/debian/packages/Konalinux/public/soundrivers/snd-usb-audio.ko_$kernel.tgz
  if [ ! -f snd-usb-audio.ko_$kernel.tgz ]; then
    exit
  fi
  tar xfz snd-usb-audio.ko_$kernel.tgz
  tar xfz snd-usb-audio.ko.tgz
  mv snd-usb-audio.ko /etc/konahqss/soundrivers/$kernel/snd-usb-audio-sse2.ko
  tar xfz snd-usb-audio.ko-avx.tgz
  mv snd-usb-audio.ko /etc/konahqss/soundrivers/$kernel/snd-usb-audio-avx.ko
fi
