#!/bin/bash
. /etc/konahqss/konahqss.inc
if [ -x /dev/shm/mpd ]; then
  if [ -L /usr/bin/mpd ] && [ -x /usr/bin/mpd.save ]; then
    rm /usr/bin/mpd
    ln -s /usr/bin/mpd.save /usr/bin/mpd
  fi
fi
if [ -f /usr/bin/pulseaudio.save ]; then
  rm -f /usr/bin/pulseaudio
  mv /usr/bin/pulseaudio.save /usr/bin/pulseaudio
fi
if [ -f /usr/bin/pipewire.save ]; then
  rm -f /usr/bin/pipewire
  mv /usr/bin/pipewire.save /usr/bin/pipewire
fi
if [ -f /usr/bin/pipewire-pulse.save ]; then
  rm -f /usr/bin/pipewire-pulse
  mv /usr/bin/pipewire-pulse.save /usr/bin/pipewire-pulse
fi
rm -f /etc/ld.so.cache
libs=$(cat /etc/konahqss/libs)
if [ -f $libs/xfce4/notifyd/xfce4-notifyd.save ]; then
  rm -f $libs/xfce4/notifyd/xfce4-notifyd
  mv $libs/xfce4/notifyd/xfce4-notifyd.save $libs/xfce4/notifyd/xfce4-notifyd
elif [ -f $libs/notify-osd.save ]; then
  rm -f $libs/notify-osd
  mv $libs/notify-osd.save $libs/notify-osd
elif [ -f /usr/lib/mate-panel/notification-area-applet.save ]; then
  rm -f /usr/lib/mate-panel/notification-area-applet
  mv /usr/lib/mate-panel/notification-area-applet.save /usr/lib/mate-panel/notification-area-applet
elif [ -f /usr/bin/gjs.save ]; then
  rm -f /usr/bin/gjs
  mv /usr/bin/gjs.save /usr/bin/gjs
elif [ -f /usr/libexec/csd-print-notifications.save ]; then
  rm -f /usr/libexec/csd-print-notifications
  mv /usr/libexec/csd-print-notifications.save /usr/libexec/csd-print-notifications
elif [ -f /usr/bin/akonadi_newmailnotifier_agent.save ]; then
  rm -f /usr/bin/akonadi_newmailnotifier_agent
  mv /usr/bin/akonadi_newmailnotifier_agent.save /usr/bin/akonadi_newmailnotifier_agent
fi

