#!/bin/bash
. /etc/konahqss/konahqss.inc

libs="$1"

# refresh power manager
pm="xfce4-power-manager"
power_manager="/usr/bin/xfce4-power-manager"
if [ -x $power_manager.save ]; then
  rm -f $power_manager
  mv $power_manager.save $power_manager
fi
if [ ! -x "$power_manager" ]; then
  pm="csd-power"
  power_manager="$libs/cinnamon-settings-daemon/csd-power"
  if [ -x $power_manager.save ]; then
    rm -f $power_manager
    mv $power_manager.save $power_manager
  fi
  if [ ! -x "$power_manager" ]; then
    pm="gsd-power"
    power_manager="/usr/libexec/gsd-power"
    if [ -x $power_manager.save ]; then
      rm -f $power_manager
      mv $power_manager.save $power_manager
    fi
    if [ ! -x "$power_manager" ]; then
      pm="mate-power-manager"
      power_manager="/usr/bin/mate-power-manager"
      if [ -x $power_manager.save ]; then
        rm -f $power_manager
        mv $power_manager.save $power_manager
      fi
      if [ ! -x "$power_manager" ]; then
        pm="org_kde_powerdevil"
        power_manager="$libs/libexec/org_kde_powerdevil"
        if [ -x $power_manager.save ]; then
          rm -f $power_manager
          mv $power_manager.save $power_manager
        fi
      fi
    fi
  fi
fi
if [ -x $power_manager.save ]; then
  rm -f $power_manager
  mv $power_manager.save $power_manager
fi

